Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1275628 - WAS: BigApp - Appraisal task is not generated
Summary: WAS: BigApp - Appraisal task is not generated
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.2.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: CR1
: 6.2.0
Assignee: Marco Rietveld
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On: 1277466
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-27 11:35 UTC by Pavel Kralik
Modified: 2020-03-27 20:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:08:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Pavel Kralik 2015-10-27 11:35:47 UTC
Description of problem:
Data Corection task is generated and Amortization is changed to 30, but Appraisal task is not generated then.

//Test data from babak's video; Amortization 28 intentionally incorrect to test Data Correction HT
{"Babak Mozaffari", "12300 Wilshire Blvd., Los Angele, CA", "333224444", "200000", "1000000", "200000", "28"}

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER4

How reproducible:
Always

Steps to Reproduce:
1. Deploy business central to WAS
2. Deploy and start jboss-mortgage-demo-ws.war with WAS console and check if service is running
3. Run BigApp with above data.

Actual results:
Appraisal task is not generated

Expected results:
Appraisal task is generated

Additional info:

Comment 2 Maciej Swiderski 2015-10-27 15:14:42 UTC
have you reconfigured WAS ports from the defaults?

Reason I ask is that by default WAS exposes HTTP services over 9080 port and not 8080 (as EAP does) and thus web service URL defined in the process [1] will not work.

Moreover the URL to the web service might look slightly different on WAS so that needs to be checked as well.

[1] https://github.com/jboss-integration/jboss-bpm-example-app/blob/master/mortgage-demo-repo/src/main/resources/mortgage-demo/MortgageApplication/src/main/resources/com/redhat/bpms/examples/mortgage/MortgageApplication.bpmn2#L244

Comment 3 Maciej Swiderski 2015-10-28 13:38:28 UTC
I have verified that that the root cause of this is wrong URL to WSDL of the web service. When the web service application is deployed to WAS it will then expose its WS on following URL:

http://was-host:9080/jboss-mortgage-demo-ws/CreditServiceService?WSDL

which in turn will be redirected to:

http://was-host:9080/jboss-mortgage-demo-ws/CreditServiceService/CreditServiceService.wsdl

NOTE: you need to replace was-host with actual host where WAS is running.

So I recommend to use the later as it does not involve redirections which might not be properly handled by WS client used in WebServiceWorkItemHandler.

Once the correct URL to WSDL is used Appraisal task is created properly

Comment 4 Maciej Swiderski 2015-10-28 14:55:21 UTC
this change needs to be done on Mortgage process level for Credit Report activity, moving to modified to be retested

Comment 5 Pavel Kralik 2015-10-29 09:40:25 UTC
(In reply to Maciej Swiderski from comment #2)
> have you reconfigured WAS ports from the defaults?
> 
> Reason I ask is that by default WAS exposes HTTP services over 9080 port and
> not 8080 (as EAP does) and thus web service URL defined in the process [1]
> will not work.
> 
> Moreover the URL to the web service might look slightly different on WAS so
> that needs to be checked as well.
> 
> [1]
> https://github.com/jboss-integration/jboss-bpm-example-app/blob/master/
> mortgage-demo-repo/src/main/resources/mortgage-demo/MortgageApplication/src/
> main/resources/com/redhat/bpms/examples/mortgage/MortgageApplication.
> bpmn2#L244

I configured deployed service to default port. 9080


Note You need to log in before you can comment on or make changes to this bug.